> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/bmc/bare-metal-instance/stopinstances.md).

# StopInstances

## 1. 接口描述

本接口(StopInstances)用于本接口用于关闭一个或多个实例。

{% hint style="info" %}
**注意事项**

* 只有状态为`RUNNING`的实例才可以进行此操作。
* 接口调用成功时，实例会进入`STOPPING`状态；关闭实例成功时，实例会进入`STOPPED`状态。
* 本接口为异步接口，关闭实例请求发送成功后会立即返回，此时操作并未完成。实例操作结果可以通过调用`DescribeInstances`接口查询，如果实例状态(instanceStatus)由`STOPPING`变为`STOPPED`，则代表实例关闭成功，关闭过程中不可对实例进行任何操作。
* 支持批量操作。每次请求批量实例的上限为100。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称        | 必选 | 类型              | 描述                                                                                   |
| ----------- | -- | --------------- | ------------------------------------------------------------------------------------ |
| instanceIds | 是  | Array of String | <p>一个或多个待操作的实例ID。</p><p>可通过DescribeInstances接口返回值中的instanceId获取。每次请求批量实例的上限为100。</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **关闭指定ID的实例** 同时关闭两个实例。

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: StopInstances
Request:
{
  "instanceIds": [
    "instanceId1",
    "instanceId2"
  ]
}
Response:
{
  "requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453",
  "response": {
    "requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                       | 说明             |
| ------- | ----------------------------------------- | -------------- |
| 404     | INVALID\_INSTANCE\_NOT\_FOUND             | 实例不存在。         |
| 403     | OPERATION\_DENIED\_INSTANCE\_RECYCLED     | 实例在回收站。        |
| 403     | OPERATION\_DENIED\_INSTANCE\_NOT\_RUNNING | 实例状态不是Running。 |
